<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<Window>
	<Font name="宋体" size="13" bold="true" italic="false" />
	<Font name="宋体" size="12" bold="true" italic="false" />
	<Font name="宋体" size="12" bold="false" italic="false" />
	<Font name="宋体" size="14" bold="true" italic="false" />
	<Font name="宋体" size="22" bold="true" italic="true" />
	<HorizontalLayout height="600" > 
		<Control width="7" />
		<HorizontalLayout  name="CustomGroupBox"  width="525" bordersize="1" borderround="10,10" bordercolor="0xffe1e2e2" >
			
			<VerticalLayout width="520" > 
				<HorizontalLayout height="35" >
					<Label text="Modbus Config" float="true" pos="10, 9, 0, 0" font="3" textcolor="0xFF2486cd" align="left" width="250" height="22" /> 
				</HorizontalLayout>
				
				<HorizontalLayout height="25" > 
					<HorizontalLayout width="220" > 
					 <Label align="right"  text="Interval(s):" float="false" width="120" />
					 <Edit name="CollectInterval" width="100" height="18"  tooltip="10~65535" bordercolor="#FF4EA0D1" bordersize="1" padding="0,3,0,0"/>
			  	</HorizontalLayout>
			  	
			  	<HorizontalLayout height="25" > 
					 <Label align="right"  text="Collect Timeout(ms):" float="false" width="150" />
					 <Edit name="CollectDelay" width="100" height="18"  tooltip="500~65535" bordercolor="#FF4EA0D1" bordersize="1" padding="0,3,0,0"/>
			  	</HorizontalLayout>
		  	</HorizontalLayout>
		  	<HorizontalLayout height="25" > 
					<HorizontalLayout width="220" > 
					 <Label align="right"  text="Retry Count:" float="false" width="120" />
					 <Edit name="CollectCount" width="100" height="18"  tooltip="0~255" bordercolor="#FF4EA0D1" bordersize="1" padding="0,3,0,0"/>
			  	</HorizontalLayout>
		  	</HorizontalLayout>
		  	
				
				<HorizontalLayout inset="10,5,5,0" width="800" >
					<List name="CustomList" vscrollbar="true" hscrollbar="true"   headerbkimage="file='headerctrl_normal.bmp'" itemalign="center" menu="false" itemtextpadding ="(2,2,2,2)" itembkcolor="0xFFF5FFFA" itemaltbk="true" itemalign="center" itemlinecolor="#FFC5DDF1" itemshowrowline="true" itemshowcolumnline="true">
						<ListHeader height="24" bordersize ="1" bordercolor="0xFFc5ddf1">
							<ListHeaderItem text="Channel" width="60" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1" />
						  <ListHeaderItem text="DeviceType" width="60" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="DeviceAddress" width="60" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="Function" width="60" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="RegAddress" width="80" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="RegNumber" width="80" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="DataType" width="100" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="DotNumber" width="80" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="BindCOM" width="60" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>
							<ListHeaderItem text="TagName" width="85" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>		
							<ListHeaderItem text="Change" width="60" dragable="false" hotimage="file='list_header_hot.png'" pushedimage="file='list_header_pushed.png'" sepimage="file='list_header_sep.png'" sepwidth="1"/>						
						</ListHeader>
						<!--为方便拓展，直接在xml中决定行数， 当前30行-->
						
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
										<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						<Include source="CustomListItem.xml" />
						
						
					</List>
				</HorizontalLayout>
				<Control height="5" />
			</VerticalLayout>  
 
		</HorizontalLayout>
	</HorizontalLayout>
</Window>
